# 变更日志

## 版本：v2.1.0(2025-5-16)

- 增加代码补全延时可配置功能。
- 优化单元测试文件路径问题。
- 优化其他问题，如：个人指令创建、焦点文件获取、部分报错信息优化等。

## 版本：v2.0.0 (2025-4-16)

发布 CodeRider Loom，支持：
- 复杂任务拆解与分析：自动分解复杂编程任务，生成可执行的子任务方案，并提供优化建议。
- 跨文件读取、编辑代码文件：支持跨多个文件解析和修改代码，实现智能代码生成与重构。
- 错误信息自反馈与纠正：自动捕捉错误信息，分析根因并生成修复建议，优化代码质量。
- 终端指令执行：智能解析和执行终端指令，辅助开发者高效完成环境配置与调试操作。
## 版本：v1.9.3 (2025-3-31)

- 优化对话渲染效果，支持图表可视化。
- 优化代码补全效果，跨文件检索更精准。
- 优化补全模式，默认为动态补全策略，根据光标位置自适应单行、多行补全代码建议。
- 支持对话框快捷指令触发代码文件编辑，包含：代码修改、单元测试、代码注释、代码优化。

## 版本：v1.9.2 (2025-2-25)

- 功能优化与缺陷修复。

## 版本：v1.9.1 (2025-2-16)

- 提示词优化。

## 版本：v1.9.0 (2025-2-14)

- 推理模型适配，对话功能支持使用“深度思考”模式。

- 其他功能优化与缺陷修复。

## 版本：v1.8.1 (2025-1-14)

- 缺陷修复：中英文显示与配置问题、长对话渲染卡顿问题。

## 版本：v1.8.0 (2025-1-10)

- 对话功能，支持在对话框中“/清除记忆”来清空当前对话上下文。

- 指令内联操作，支持通过快捷键（option+k - macOS 或 alt+k - Windows）唤醒内联操作，并提供在编辑器中的对比显示。

- 优化知识库创建流程，支持针对不同代码分支创建知识库，并显示创建进度。

- 私有化部署用户新增企业管理员自定义“企业指令”。

- 支持设置默认对话输出语言。

- 其他功能优化与缺陷修复，如代码补全、前端渲染、登录、 commit message 生成、pre-review 等。

## 版本：v1.7.0 (2024-11-21)

- 插件交互方式优化。

- 新增用户快捷指令自定义功能。

- 项目引导功能。

- 指令内联操作。

- 生成提交信息。

- 提交代码变更前预审核。

- 企业级别知识库配置（私有化部署方案）。

- 效能数据看板。

- 增加代码单行补全模式。

## 版本：v1.6.1 (2024-10-22)

- 私有模型权限升级，为企业私有化部署用户带来极致编程体验。

- 代码评审 Agent 上线。

- 修复缺陷。

## 版本：v1.6.0 (2024-10-12)

- 代码库知识问答：基于代码库的知识问答功能上线，智能解答项目代码相关问题，提升协作效率。

- 智能代码补全增强：智能代码补全功能进一步增强，基于代码库内容精准推荐，且云端模型全新升级，助力开发者提高编写效率。

## 版本：v1.5.0 (2024-9-20)

- AI 代码审核功能升级：全面升级智能代码审核，对合并请求（MR）进行全方位文件级分析，提供多维度的评审建议与优化方案，显著提升代码审核的效率与质量，助力开发团队实现高效协作与代码质量保障。

- 登录方式优化：提供灵活便捷的登录方式，简化用户的登录流程，同时显著提升账号安全性，为用户提供更加便捷与安全的使用体验。

- 云端模型性能升级：全面优化云端模型的性能，大幅提升响应速度和代码建议的准确性，为用户提供更加高效的智能研发辅助体验。

## 版本：v1.4.0 （2024-8-30）

- 企业知识库：提供基于云端模型的企业级知识库功能，以企业文档为基础进行技术问答，显著提升企业文档的利用效率。

- AI 辅助编程优化：针对代码补全技术方案进行优化，通过利用更多的代码文件，进一步提升代码补全的性能。

- 模型与知识库配置：支持用户配置代码补全和对话的模型引擎，同时具备针对知识库的增删查改配置功能。

## 版本：v1.3.5 (2024-7-16)

- 基于云端算力模型的 CodeRier 产品发布，支持基于云端算力的代码补全、技术问答、辅助编程、Issue 和 MR 的处理等功能；

- 支持全球统一用户登录，用户可随时随地访问和管理个人项目，无需多重验证，确保开发过程高效便捷，提升工作灵活性。

## 版本：v1.1.0（2024-6-18）

- 国际版 CodeRider 发布，支持香港的极狐GitLab SaaS 用户试用，软件功能支持双语。

## 版本：v1.0.0 (2024-05-28)

- 智能 DevOps 助手：处理议题、处理合并请求、管理流水线、处理与我相关的任务、GitLab 快捷操作命令；

- 智能辅助编程：代码补全、代码生成、代码解释、代码注释、代码修改、单元测试、代码优化；

- 智能问答：自然语言问答、GitLab 文档问答。
